Actualités & Annonces de l'équipe de développement et des administrateurs du forum.

[Stable] Mise à jour 19/01/2021 - Kernels, XFCE, Plasma, PulseAudio, Pipewire, Mesa, Firefox, Thunderbird, KDE Apps

#1Messageil y a 1 mois

Bonjour à toutes et à tous :bjr:

Une mise à jour est annoncée

Bonjour la communauté,
une autre mise à jour stable . C'est aussi notre premier de 2021! Alors bonne année à tous !!!
  • La plupart de nos noyaux ont été mis à jour
  • XFCE a obtenu sa version 4.16 majeure
  • plasma a été mis à jour à 5.20.5 et KDE Apps est à 20.12.1 et KDE Frameworks 5.78 est sorti
  • Mesa a été mis à jour vers 20.3.3
  • Plus de mises à jour de Gnome , KODI-Addons , Gstreamer et KDE-dev
  • Thunderbird est maintenant à 78.6.1
  • Nvidia a lancé une nouvelle série à long terme avec les 460xx
  • Une nouvelle version trimestrielle d' AMDVLK
  • Pamac a obtenu une autre version mineure
  • Certains de nos thèmes ont été mis à jour
  • Deepin a d'autres packages mis à jour
  • Firefox a été mis à jour en 84.0.1
  • Mass-Rebuild contre ICU
  • Qt4 a été supprimé
  • Beaucoup de reconstructions Haskell et Python
  • Et autres mises à jour régulières en amont

N'hésitez pas à nous donner vos commentaires sur les modifications apportées aux dépôts.


-------------------------------------------------------------------------------------
Mise à jour possible par pamac, octopi ou par pacman (de préférence) :

sudo pacman -Syu
ou encore

sudo pamac update
-------------------------------------------------------------------------------------

Noyaux pris en charge :
  • linux44 4.4.251
  • linux49 4.9.251
  • linux414 4.14.215
  • linux419 4.19.167
  • linux54 5.4.89
  • linux59 5.9.16 [EOL] En fin de vie
  • linux510 5.10.7
  • linux511 5.11-rc3 (expérimental)
  • linux54-rt 5.4.84_rt47
  • linux59-rt 5.9.1_rt19
Les changements en détail :
  • community x86_64: 2349 nouveaux et 2275 paquets retirés
  • core x86_64: 56 nouveaux et 54 paquets retirés
  • extra x86_64: 1044 nouveaux et 1190 paquets retirés
  • multilib x86_64: 43 nouveaux et 44 paquets retirés
-------------------------------------------------------------------------------------


-------------------------------------------------------------------------------------
ERREUR : conflit de fichiers
Si lors de la mise à jour vous avez le type d'erreur comme ci-dessous (tlp est un exemple) :

erreur : la validation de la transaction a échoué (conflit de fichiers)
tlp : /etc/acpi/thinkpad est déjà présent dans le système de fichiers
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
il convient de passer la commande suivante en l'adaptant à votre cas particulier :

sudo pacman -S nom_paquet --overwrite '/etc/acpi/thinkpad'
Ensuite, vous pouvez faire votre mise à jour générale sans problème.
-------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------
Problèmes liés à la synchronisation des miroirs

pacman-mirrors || sudo pacman-mirrors --continent; sudo pacman -Syu
Cette commande pacman-mirrorsva analyser le status des miroirs; si OK=> Synchronisation et Mise à jour.
Si KO, pacman-mirrors --continent synchronisera les miroirs les plus proches de votre situation géographique.
Attention si vous utilisez un vpn, dans ce cas, l'option -f0 sera plus appropriée. Ensuite la Mise à jour se lancera normalement.
-------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------
ERREUR de clés

Si lors de la mise à jour vous avez des problèmes de clés, essayez de passer les commandes suivantes :

sudo pacman -Syy
sudo pacman -S archlinux-keyring manjaro-keyring
sudo pacman-key --init
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh-keys
Ensuite, vous devriez pouvoir faire votre mise à jour générale sans problème.

-------------------------------------------------------------------------------------

[Stable] Mise à jour 19/01/2021 - Kernels, XFCE, Plasma, PulseAudio, Pipewire, Mesa, Firefox, Thunderbird, KDE Apps

#2Messageil y a 1 mois

Passage 5.10.7 et nvidia 460 avec opencl sans problèmes
Tout roule :cool:

Merci messieurs :merci::wink:

[Stable] Mise à jour 19/01/2021 - Kernels, XFCE, Plasma, PulseAudio, Pipewire, Mesa, Firefox, Thunderbird, KDE Apps

#3Messageil y a 1 mois

Idem pour moi... pas de problème pour cette nouvelle MAJ, noyau 5.10.7 et nvidia 460. :bien

Merci pour le bon boulot !

(non, ne suis pas nouveau... enfin ça fait 1 an tout juste que j'ai installé Manjaro... juste mis un avatar :gsourire: )

[Stable] Mise à jour 19/01/2021 - Kernels, XFCE, Plasma, PulseAudio, Pipewire, Mesa, Firefox, Thunderbird, KDE Apps

#4Messageil y a 1 mois

Bonjour à tous, Mise à jour surprise sur ma VM au boulot mais tout s'est bien passé
(j'étais en train de bidouiller pour refaire fonctionner pamac qui était cassé pour je ne sais quelle raison).
après mon bidouillage et pamac fonctionnel j'ai lancé un Syu pour être sûr que tout est ok et là : 460 paquets à mettre à jour. J'étais pas prêt :lol:
Bravo à l'équipe, MAJ sans soucis

[Stable] Mise à jour 19/01/2021 - Kernels, XFCE, Plasma, PulseAudio, Pipewire, Mesa, Firefox, Thunderbird, KDE Apps

#5Messageil y a 1 mois

Bonjour, mise à jour sans aucun souci.
Merci :bjr:

[Stable] Mise à jour 19/01/2021 - Kernels, XFCE, Plasma, PulseAudio, Pipewire, Mesa, Firefox, Thunderbird, KDE Apps

#6Messageil y a 1 mois

Hi !

Passage 5.10.7 également ras sur config amd :merci:

[Stable] Mise à jour 19/01/2021 - Kernels, XFCE, Plasma, PulseAudio, Pipewire, Mesa, Firefox, Thunderbird, KDE Apps

#7Messageil y a 1 mois

Conflit avec sip => suppression et maj derrière sans souci.
Après redémarrage, pamac indique des maj de lib32-qt4 et qt4 mais impossible de les supprimer ou de faire leur maj d'ailleurs (mais vu le message de maj, ils n'ont plus rien à faire là, non?)

[marc@marc-pc ~]$ sudo pacman -Rs qt4
vérification des dépendances…
erreur : la préparation de la transaction a échoué (la satisfaction des dépendances a échoué)
:: la suppression de qt4 casse la dépendance « qt4 » requise par automoc4
:: la suppression de qt4 casse la dépendance « qt4 » requise par lib32-qt4
:: la suppression de qt4 casse la dépendance « qt4 » requise par libdbusmenu-qt4
:: la suppression de qt4 casse la dépendance « qt4 » requise par pyqt4-common
:: la suppression de qt4 casse la dépendance « qt4 » requise par qt4-gstreamer
[marc@marc-pc ~]$ 

[marc@marc-pc ~]$ sudo pacman -Rs lib32-qt4
vérification des dépendances…
erreur : la préparation de la transaction a échoué (la satisfaction des dépendances a échoué)
:: la suppression de lib32-qt4 casse la dépendance « lib32-qt4 » requise par lib32-libdbusmenu-qt
:: la suppression de lib32-qt4 casse la dépendance « lib32-qt4 » requise par lib32-sni-qt
[marc@marc-pc ~]$ 
J'ai commencé par supprimer lib32-libdbusmenu-qt et tous les autres paquets se sont désinstallés dans la foulée.

[Stable] Mise à jour 19/01/2021 - Kernels, XFCE, Plasma, PulseAudio, Pipewire, Mesa, Firefox, Thunderbird, KDE Apps

#8Messageil y a 1 mois

imarco a écrit : il y a 1 mois Conflit avec sip => suppression et maj derrière sans souci.
Après redémarrage, pamac indique des maj de lib32-qt4 et qt4 mais impossible de les supprimer ou de faire leur maj d'ailleurs (mais vu le message de maj, ils n'ont plus rien à faire là, non?)

[marc@marc-pc ~]$ sudo pacman -Rs qt4
vérification des dépendances…
erreur : la préparation de la transaction a échoué (la satisfaction des dépendances a échoué)
:: la suppression de qt4 casse la dépendance « qt4 » requise par automoc4
:: la suppression de qt4 casse la dépendance « qt4 » requise par lib32-qt4
:: la suppression de qt4 casse la dépendance « qt4 » requise par libdbusmenu-qt4
:: la suppression de qt4 casse la dépendance « qt4 » requise par pyqt4-common
:: la suppression de qt4 casse la dépendance « qt4 » requise par qt4-gstreamer
[marc@marc-pc ~]$ 

[marc@marc-pc ~]$ sudo pacman -Rs lib32-qt4
vérification des dépendances…
erreur : la préparation de la transaction a échoué (la satisfaction des dépendances a échoué)
:: la suppression de lib32-qt4 casse la dépendance « lib32-qt4 » requise par lib32-libdbusmenu-qt
:: la suppression de lib32-qt4 casse la dépendance « lib32-qt4 » requise par lib32-sni-qt
[marc@marc-pc ~]$ 
J'ai commencé par supprimer lib32-libdbusmenu-qt et tous les autres paquets se sont désinstallés dans la foulée.
J'ai 3 paquets orphelins que j'aimerai désinstaller mais sans success.
C'est quoi lib32-libdbusmenu-qt ? utile ou non ?

voici les dll impossible a supprimée mais orphelines
impossible de trouver la cible : lib32-alsa-oss
impossible de trouver la cible : lib32-lz4
impossible de trouver la cible : lib32-openal

[Stable] Mise à jour 19/01/2021 - Kernels, XFCE, Plasma, PulseAudio, Pipewire, Mesa, Firefox, Thunderbird, KDE Apps

#9Messageil y a 1 mois

Ca fonctionne en ligne de commande mais pas par l'interface de pacman.
Dommage et tant mieux en meme temps

Vous sauriez pourquoi ?

[Stable] Mise à jour 19/01/2021 - Kernels, XFCE, Plasma, PulseAudio, Pipewire, Mesa, Firefox, Thunderbird, KDE Apps

#10Messageil y a 1 mois

Bonjour.
Essaye sudo pacman -Rcs qt4, Consulte bien la liste retournée avant de valider.

[Stable] Mise à jour 19/01/2021 - Kernels, XFCE, Plasma, PulseAudio, Pipewire, Mesa, Firefox, Thunderbird, KDE Apps

#11Messageil y a 1 mois

lemust83 a écrit : il y a 1 mois Bonjour.
Essaye sudo pacman -Rcs qt4, Consulte bien la liste retournée avant de valider.
voici la reponse
erreur : impossible de trouver la cible : qt4

J'avais supprimé tous les orphelins avec la console en pacmac -Rs
C'est une erreur ?

[Stable] Mise à jour 19/01/2021 - Kernels, XFCE, Plasma, PulseAudio, Pipewire, Mesa, Firefox, Thunderbird, KDE Apps

#12Messageil y a 1 mois

Dernière modification par imarcoil y a 1 mois, modifié au total 1 fois.

[Stable] Mise à jour 19/01/2021 - Kernels, XFCE, Plasma, PulseAudio, Pipewire, Mesa, Firefox, Thunderbird, KDE Apps

#13Messageil y a 1 mois

Grosse mise à jour sous Xfce, 1,5 Go et reboot sans aucun souci.
Denis

[Stable] Mise à jour 19/01/2021 - Kernels, XFCE, Plasma, PulseAudio, Pipewire, Mesa, Firefox, Thunderbird, KDE Apps

#14Messageil y a 1 mois

Bonjour tout le monde
464 paquets (2 go) pour Kde et redémarrage impeccable
Gros boulot et surtout darktable 3.4.0
Merci à toutes les équipes
Michel

[Stable] Mise à jour 19/01/2021 - Kernels, XFCE, Plasma, PulseAudio, Pipewire, Mesa, Firefox, Thunderbird, KDE Apps

#15Messageil y a 1 mois

Bonjour,
Mise à jour xfce. Impeccable. J"ai été obligé de passer par l'interface de pacman, le terminal ne voulait rien savoir.Il semble que xfce soit un peu plus fluide.

[Stable] Mise à jour 19/01/2021 - Kernels, XFCE, Plasma, PulseAudio, Pipewire, Mesa, Firefox, Thunderbird, KDE Apps

#16Messageil y a 1 mois

Bonjour,
mise à jour faite et tout roule, avec le nouvel Xfce !!! :biere:

[Stable] Mise à jour 19/01/2021 - Kernels, XFCE, Plasma, PulseAudio, Pipewire, Mesa, Firefox, Thunderbird, KDE Apps

#17Messageil y a 1 mois

Mise à jour 5.10.7 sous Xfce 4.16 et reboot sans aucun souci.
Comment passer sur le pilote Nvidia 460 en ligne de commande ?
Version actuelle :

# sudo mhwd -a pci nonfree 0300
> Skipping already installed config 'video-hybrid-intel-nvidia-prime' for device: 0000:00:02.0 (0300:8086:191b) Display controller Intel Corporation HD Graphics 530
# mhwd -li
> Installed PCI configs:
--------------------------------------------------------------------------------
                  NAME               VERSION          FREEDRIVER           TYPE
--------------------------------------------------------------------------------
video-hybrid-intel-nvidia-prime            2020.11.30               false            PCI
video-linux            2018.05.04                true            PCI
video-modesetting            2020.01.13                true            PCI
Warning: No installed USB configs!
# mhwd-kernel -li
Currently running: 5.10.7-3-MANJARO (linux510)
The following kernels are installed in your system:
   * linux510
   * linux54
   * linux54-rt
Merci.

[Stable] Mise à jour 19/01/2021 - Kernels, XFCE, Plasma, PulseAudio, Pipewire, Mesa, Firefox, Thunderbird, KDE Apps

#18Messageil y a 1 mois

MÀJ sans souci, en TTY, comme d'hab. Un peu longue, même si j'ai mis à jour les miroirs avec sudo pacman-mirrors --geoip. C'est peut-être normal, elle a mis combien de temps chez vous ?

[Stable] Mise à jour 19/01/2021 - Kernels, XFCE, Plasma, PulseAudio, Pipewire, Mesa, Firefox, Thunderbird, KDE Apps

#19Messageil y a 1 mois

[Stable] Mise à jour 19/01/2021 - Kernels, XFCE, Plasma, PulseAudio, Pipewire, Mesa, Firefox, Thunderbird, KDE Apps

#20Messageil y a 1 mois

Bonjour à tous,

Lorsque je lance la commande

sudo mhwd -l -d
, j'ai après l'affichage des drivers, ceci:

Warning: no configs for USB devices found!
Kezako? C'est grave docteur? :saispas:
Répondre